<?php

/**
 * NOTICE OF LICENSE
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Cyril Bouxin
 * @copyright 2015-2022 NETSIZE
 * @license GNU General Public License version 2
 */
?>



<div class="container-fluid page_title_container">
    <div class="row">
        <div class="col spothit_header">
            <h1 class="m-0"><?php _e('Manual EMAIL campaign', 'spothit') ?></h1>
        </div>
    </div>
</div>

<div class="container-fluid page_content_container page_email_content_container">
    <div class="row">
        <div class="col">

            <div class="spothit_main">

                <div id="spothit_breadcramp">
                    <div data-page="1">
                        <span>1</span>
                        <span><?php _e('Campaign', 'spothit') ?></span>
                    </div>

                    <div data-page="2">
                        <span>2</span>
                        <span><?php _e('Sender', 'spothit') ?></span>
                    </div>

                    <div data-page="3">
                        <span>3</span>
                        <span><?php _e('Contacts', 'spothit') ?></span>
                    </div>

                    <div data-page="4">
                        <span>4</span>
                        <span><?php _e('Email content', 'spothit') ?></span>
                    </div>

                    <div data-page="5">
                        <span>5</span>
                        <span><?php _e('Date', 'spothit') ?></span>
                    </div>

                    <div data-page="6">
                        <span>6</span>
                        <span><?php _e('Confirmation', 'spothit') ?></span>
                    </div>
                </div>

                <div class="spothit_content">
                    <div id="spothit_form" data-action="SH_ajax_api_request" data-url="envoyer/email">

                        <div id="spothit_page_content">

                            <div id="error_notification" style="position: absolute;right:3em;bottom:1em;z-index: 3;">
                            </div>

                            <div data-page="1">
                                <div class="page_title">
                                    <h2><i class="fa-light fa-mobile fa-lg me-1"></i><?php _e('Campaign', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content">
                                <div class="multi_box">
                                    <div class="row">
                                        <div class="col-md-6 offset-md-3">
                                            <div class="input_container">
                                                <p class="input_icon"><i class="fal fa-memo-circle-info"></i></p>
                                                <p class="input_title"><?php _e('About the campaign', 'spothit') ?></p>
                                                <input type="text" data="campaign" class="form-control form-control-lg "
                                                placeholder="<?php _e('Campaign name', 'spothit') ?>"
                                                data-name="nom">
                                                <p class="text-center"><small class="text-muted mb-5"><?php _e("The campaign name is optional, it is not visible to contacts.", "spothit") ?></small></p>
                                                <input type="text" class="form-control form-control-lg"
                                                placeholder="<?php _e('Email subject', 'spothit') ?>" data-name="sujet">
                                                <p class="text-center"><small class="text-muted"><?php _e("The subject is the first element visible to your contacts in their mailboxes.","spothit") ?></small></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                </div>
                            </div>

                            <div data-page="2">
                                <div class="page_title">
                                    <h2><i
                                            class="fa-light fa-clipboard-user fa-lg me-1"></i><?php _e('Sender', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content">
                                    <div class="multi_box">
                                        <div class="row">
                                            <div class="col-md-6 offset-md-3">

                                                <div class="input_container">
                                                    <p class="input_icon"><i class="fal fa-user-tag"></i></p>
                                                    <p class="input_title"><?php _e('Sender', 'spothit') ?></p>
                                                    <input type="text" id="name_sender"
                                                        class="form-control form-control-lg mb-3"
                                                        placeholder="<?php _e('Sender name', 'spothit') ?>"
                                                        data-name="nom_expediteur" required>
                                                    <div class="input-group mb-2">
                                                        <input type="text" id="custom_sender_email"
                                                            class="form-control form-control-lg mb-3"
                                                            placeholder="<?php _e('Sender email address', 'spothit') ?>"
                                                            data-name="expediteur" required>

                                                        <div class="input-group-text">@sh-mail.fr</div>
                                                    </div>
                                                    <div class="form-check p-0">
                                                        <label class="mb-1 w-100">
                                                            <input type="checkbox" data-name="sender_name_checkbox"
                                                                id="sender_name_checkbox"><?php _e('Set this sender name as default', 'spothit') ?>
                                                        </label>
                                                        <label class="mb-1 w-100">
                                                            <input type="checkbox" data-name="sender_email_checkbox"
                                                                id="sender_email_checkbox"><?php _e('Set this address as default', 'spothit') ?>
                                                        </label>
                                                        <br>
                                                        <p><small class="text-muted mt-3"><?php _e("We are using optimized domain names for optimum reception to mailbox providers (Outlook, Hotmail, Gmail...).", "spothit") ?>
                                                                <br>
                                                                <?php _e("They are the 3 areas we using :","spothit") ?>
                                                                <br>
                                                                <?php _e("@n1xmail.com<br>@m1xmail.com<br>@m2xmail.com<br>", "spothit"); ?>

                                                                <!-- <a role="button" class="text-muted mt-3"
                                                                    data-trigger="focus" id="email_sender_restriction"
                                                                    data-toggle="popover">
                                                                    <?php _e('Show more', 'spothit') ?>
                                                                </a> -->
                                                            </small>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                </div>
                            </div>


                            <div data-page="3">
                                <div class="page_title">
                                    <h2><i
                                            class="fa-light fa-user-tag fa-lg me-1"></i><?php _e('Contacts', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content">
                                    <div class="multi_box mb-3">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <input type="radio" class="radio_choice" id="recipient_wordpress"
                                                    name="recipient_choice" value="0">
                                                <label class="multi_box_label h-100" for="recipient_wordpress">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i
                                                                class="fa-brands fa-wordpress-simple"></i></p>
                                                        <p class="input_title"><?php _e('Wordpress', 'spothit') ?></p>
                                                        <p><?php _e('Select contacts', 'spothit') ?>
                                                            <br><?php _e('in your Wordpress users list', 'spothit') ?>
                                                        </p>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="col-md-4">
                                                <input type="radio" class="radio_choice" id="recipient_spothit"
                                                    name="recipient_choice" value="1">
                                                <label class="multi_box_label h-100" for="recipient_spothit">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fa-light fa-message"></i></p>
                                                        <p class="input_title"><?php _e('Spot-Hit', 'spothit') ?></p>
                                                        <p><?php _e('Select contacts groups', 'spothit') ?>
                                                            <br><?php _e('in your Spot-Hit users list', 'spothit') ?>
                                                        </p>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="col-md-4">
                                                <input type="radio" class="radio_choice" id="recipient_manual"
                                                    name="recipient_choice" value="2">
                                                <label class="multi_box_label h-100" for="recipient_manual">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fa-light fa-address-book"></i>
                                                        </p>
                                                        <p class="input_title"><?php _e('Custom list', 'spothit') ?></p>
                                                        <p><?php _e('Write your own contacts list', 'spothit') ?></p>
                                                    </div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="multi_select recipients_results row mb-3">
                                        <p class="text-center"><?php _e('Select an option', 'spothit') ?></p>
                                    </div>
                                </div>
                            </div>

                            <div data-page="4">
                                <div class="page_title">
                                    <h2><i
                                            class="fa-light fa-user-tag fa-lg me-1"></i><?php _e('Email content', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content">
                                    <div class="multi_box mb-3">
                                        <div class="row mb-3">
                                            <div class="col-md-4 offset-md-2">
                                                <input type="radio" class="radio_choice" id="email_message_write"
                                                    name="email_message_type" value="0">
                                                <label class="multi_box_label h-100" for="email_message_write">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fa-light fa-file-pen"></i></p>
                                                        <p class="input_title"><?php _e('Write an Email', 'spothit') ?>
                                                        </p>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="col-md-4">
                                                <input type="radio" class="radio_choice" id="email_message_models"
                                                    name="email_message_type" value="1">
                                                <label class="multi_box_label h-100" for="email_message_models">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i
                                                                class="fa-light fa-envelope-open-text"></i></p>
                                                        <p class="input_title"><?php _e('Use a model', 'spothit') ?></p>
                                                    </div>
                                                </label>
                                            </div>
                                        </div>
                                        <div id="message_type_results" class="row multi_box ">

                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div data-page="5">
                                <div class="page_title">
                                    <h2><i class="fa-light fa-alarm-clock fa-lg me-1"></i><?php _e('Date', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content">
                                    <div class="multi_box mb-3">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <input type="radio" data="date_campaign" class="radio_choice"
                                                    id="date_now" name="date_choice" value="0" checked>
                                                <label class="multi_box_label h-100" for="date_now">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fal fa-paper-plane"></i></p>
                                                        <p class="input_title"><?php _e('Immediate', 'spothit') ?></p>
                                                        <p><?php _e('Email will be sent directly after your campaign validation', 'spothit') ?>
                                                        </p>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="col-md-6">
                                                <input type="radio" data="date_campaign" class="radio_choice"
                                                    id="date_scheduled" name="date_choice" value="1">
                                                <label class="multi_box_label h-100" for="date_scheduled">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fal fa-stopwatch"></i></p>
                                                        <p class="input_title"><?php _e('Custom date', 'spothit') ?></p>
                                                        <p><?php _e('Select a date and time for sending', 'spothit') ?>
                                                        </p>
                                                        <div class="form-group row mb-2">
                                                            <label
                                                                class="col-md-12 col-lg-4"><?php _e('Day', 'spothit') ?></label>
                                                            <div class="col-md-12 col-lg-8">
                                                                <input class="datepicker" type="text" id="date_day"
                                                                    name="date_jour">
                                                            </div>
                                                        </div>
                                                        <div class="form-group row mb-2">
                                                            <label
                                                                class="col-md-12 col-lg-4 col-form-label"><?php _e('Hour', 'spothit') ?></label>
                                                            <div class="col-sm-12 col-md-6 col-lg-4">
                                                                <select type="text" id="date_hour" name="date_jour"
                                                                    class="form-control"></select>
                                                            </div>
                                                            <div class="col-sm-12 col-md-6 col-lg-4">
                                                                <select type="text" id="date_minute" name="date_jour"
                                                                    class="form-control"></select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div data-page="6">
                                <div class="page_title">
                                    <h2><i
                                            class="fa-light fa-paper-plane fa-lg me-1"></i><?php _e('Confirmation', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content campaign_summary">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <!-- <p class="text-center">My Email campaign</p> -->
                                            <p class="object_bubble text-center"></p>
                                            <div class="speech_bubble_container">
                                                <div class="speech_bubble summary-block" data-summary-block="5">
                                                    <p></p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 text-center summary-block" data-summary-block="2">
                                            <p><span class="recap_icon"><i
                                                        class="fa-light fa-clipboard-user"></i></span></p>
                                            <p><?php _e('Sender', 'spothit') ?></p>
                                            <p class="sender_bubble"><?php _e('Email address is empty', 'spothit') ?>
                                            </p>
                                        </div>
                                        <div class="col-md-4 text-center  summary-block" data-summary-block="4">
                                            <p><span class="recap_icon"><i class="fa-light fa-user-tag"></i></span></p>
                                            <p><?php _e('Contacts', 'spothit') ?></p>
                                            <p class="contacts_bubble">0 <?php _e('contact', 'spothit') ?></p>
                                        </div>
                                        <div class="col-md-4 text-center  summary-block" data-summary-block="6">
                                            <p><span class="recap_icon"><i class="fa-light fa-alarm-clock"></i></span>
                                            </p>
                                            <p><?php _e('Sending date', 'spothit') ?></p>
                                            <p class="date_bubble"><?php _e('Immediate', 'spothit') ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div id="spothit_page_navigation">
                            <div><button id="spothit_form_submit"><?php _e('Send', 'spothit') ?></button></div>
                        </div>

                    </div>
                </div>
            </div>

            <div id="spothit_preview">
                <div class="smartphone email-preview">
                    <div class="smartphone__top">
                        <span class="speaker"></span>
                        <span class="camera"></span>
                        <span class="hour">16:42</span>
                        <span class="network">
                            <i class="fa-regular fa-signal me-1"></i>
                            <i class="fa-regular fa-battery-half fa-lg"></i>
                        </span>
                    </div>

                    <div class="smartphone__screen">
                        <div class="title">
                            <div class="row mb-2">
                                <div class="col-3 text-end"><?php _e('From', 'spothit') ?> :</div>
                                <div class="col-9"><span class="smartphone_sender"></span></div>
                            </div>
                            <div class="row m-0">
                                <div class="col-3 text-end"><?php _e('Subject', 'spothit') ?> :</div>
                                <div class="col-9"><span class="smartphone_object"></span></div>
                            </div>
                        </div>
                        <div id="msg_preview" class="email-content">
                            <p></p>
                        </div>
                    </div>
                    <div class="smartphone__bottom"></div>
                </div>
            </div>

        </div>
    </div>
</div>

<div id="spothit_errors"></div>