<?php

/**
 * NOTICE OF LICENSE
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Cyril Bouxin
 * @copyright 2015-2022 NETSIZE
 * @license GNU General Public License version 2
 */

$key = $credits['key'];
global $alert_levels;

$key_length =  strlen($key);
$key_visible = str_split($key, 5);

$key_hidden = $key_visible[0] . '****';

?>

<div class="container-fluid page_title_container">
    <div class="row">
        <div class="col spothit_header">
            <h1 class="m-0"><?php _e('Settings', 'spothit'); ?></h1>
        </div>
    </div>
</div>


<div class="container page_content_container">
    <div class="row">
        <div class="col-md-10 offset-md-1 mt-5">

            <div class="row d-flex justify-content-around widget-settings-block">
                <div class="d-flex flex-column multi-block"">
                    <div class=" text-center thumbnail">
                    <i class="fa-light fa-key alerts_icon"></i>
                </div>
                <div class="text-center sh-widget-title">
                    <h3><?php _e('API key setting', 'spothit') ?></h3>
                </div>
                <a href="#" class="settings-box__link " data-setting="key" data-bs-toggle="modal" data-bs-target="#settingsModal"></a>
            </div>

            <div class="d-flex flex-column multi-block">
                <div class="text-center thumbnail">
                    <i class="fa-light fa-message-lines alerts_icon"></i>
                </div>
                <div class="text-center sh-widget-title">
                    <h3><?php _e('SMS setting', 'spothit') ?></h3>
                </div>
                <a href="#" class="settings-box__link" data-setting="sms" data-bs-toggle="modal" data-bs-target="#settingsModal"></a>
            </div>

            <div class="d-flex flex-column multi-block">
                <div class="text-center thumbnail">
                    <i class="fa-light fa-envelope alerts_icon"></i>
                </div>
                <div class="text-center sh-widget-title">
                    <h3><?php _e('EMAIL setting', 'spothit') ?></h3>
                </div>
                <a href="#" class="settings-box__link" data-setting="email" data-bs-toggle="modal" data-bs-target="#settingsModal"></a>
            </div>

            <div class="d-flex flex-column multi-block">
                <div class="text-center thumbnail">
                    <i class="fa-light fa-bell-on alerts_icon"></i>
                </div>
                <div class="text-center sh-widget-title">
                    <h3><?php _e('Alerts setting', 'spothit') ?></h3>
                </div>
                <a href="#" class="settings-box__link" data-setting="alerts" data-bs-toggle="modal" data-bs-target="#settingsModal"></a>
            </div>

        </div>
    </div>
</div>
</div>


<div class="modal fade" id="settingsModal" tabindex="-1" role="dialog" aria-labelledby="settingsModal" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
        <div class="modal-content" id="modal_container">

            <div class="modal-header">
                <h4 class="modal-title modal__title" id="modal_settings_title">
                </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body">
                <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade show active pt-1">

                        <div class="row modal__info mb-3">
                            <div class="col-md-2" id="modal_settings_icon">
                                <i class="fa-light fa-envelope  display-3"></i>
                            </div>
                            <div class="col-md-10" id="modal_settings_description">
                                <?php _e('You can set your default sender name, default address for sent and recieve Emails, including for automatic campaigns.', 'spothit') ?>

                            </div>
                        </div>



                        <div class="settings_container" data-setting="key">
                            <div class="row d-flex align-items-center">
                                <div class="col-md-12 mt-3 ">
                                    <h3>
                                        <?php _e('API key', 'spothit') ?>
                                    </h3>
                                </div>
                                <div class="col-md-12 mb-3">
                                    <span><?php _e('Current API key is', 'spothit'); ?> :<strong>
                                            <?php echo (' ' . $key_hidden) ?></p>
                                        </strong></span>
                                </div>
                                <div class="row d-flex align-items-center mb-3">
                                    <div class="col-md-4">
                                        <?php _e('Update API key', 'spothit') ?>
                                    </div>
                                    <div class="col-md-8">
                                        <div class="form-group">
                                            <input class="input-1 form-control form-control-lg" type="text" placeholder="<?php _e('Write your new API key', 'spothit') ?>" data-name="api_key" maxlength="255">
                                        </div>
                                    </div>
                                    <small><a class="form-text text-muted d-flex justify-content-end" href="https://www.spot-hit.fr/espace-client/parametres/api">
                                                <?php _e("You don't know your key ?", "spothit") ?></a></small>
                                </div>
                                <div class="col-md-12 d-flex justify-content-end mt-5">
                                    <button id="spothit_submit_key" class="btn"><?php _e('Save', 'spothit') ?></button>
                                </div>
                            </div>
                        </div>



                        <div class="settings_container" data-setting="sms">
                            <div class="row d-flex align-items-center">
                                <div class="col-md-12">
                                    <h3>
                                        <?php _e('Sender name', 'spothit') ?>
                                    </h3>
                                </div>
                                <div class="col-md-12 px-3 pb-3 mb-4 text-secondary">
                                    <?php _e('Change sender name for all sent SMS', 'spothit') ?>
                                </div>
                                <div class="col-md-3 px-4">
                                    <?php _e('Sender name', 'spothit') ?>
                                </div>
                                <div class="col-md-9">
                                    <input id="sender_sms_name" class="input-1 form-control form-control-lg float-right" type="text" placeholder="<?php _e('Your sender name...', 'spothit') ?>" data-name="#" maxlength="11">
                                </div>
                                <small class="text-muted d-block text-end"><?php _e('11 characters max.', 'spothit') ?></small>
                            </div>

                            <div class="row d-flex align-items-center mt-5">
                                <div class=" col-md-12">
                                    <h3>
                                        <?php _e('Telephone number', 'spothit') ?>
                                    </h3>
                                </div>
                                <div class="col-md-12 px-3 pb-3 mb-4 text-secondary">
                                    <?php _e('Change the phone number on which you will receive messages', 'spothit') ?>
                                </div>
                                <div class=" col-md-3 px-4 ">
                                    <?php _e('Your telephone number', 'spothit') ?>
                                </div>
                                <div class="col-md-9">
                                    <input id="sender_sms_number" class="input-1 form-control form-control-lg" type="text" placeholder="<?php _e('Your telephone number...', 'spothit') ?>" maxlength="15">
                                </div>
                            </div>

                            <div class="row d-flex align-items-center mt-5 mb-2 px-3">
                                    <div class="col-md-8 d-flex justify-content-between align-items-center">
                                        <span>
                                            <?php _e("Apply to all automatic campaigns", "spothit") ?>
                                        </span>
                                        <label class="switch-label">
                                            <input type="checkbox" class="switch-input" id="automating_sms_settings">
                                            <span class="switch-btn-container">
                                                <span class="switch-bg">
                                                    <span class="switch-btn"></span>
                                                </span>
                                            </span>
                                        </label>

                                    </div>
                                </div>
                            <div class="row">
                                <div class="col-md-12 d-flex justify-content-end mt-5">
                                    <button id="spothit_submit_sms_settings" class="btn mt-3"><?php _e('Save', 'spothit') ?></button>
                                </div>
                            </div>
                        </div>



                        <div class="settings_container" data-setting="alerts">
                            <div class="col-md-12 mb-3 mt-5">
                                        <h3>
                                            <?php _e('Scales for alerts', 'spothit') ?>
                                        </h3>
                            </div>
                            <div class="row d-flex align-items-start modal-alert_scale">
                                <div class="col-md-6">
                                    <div class="col-md-12">
                                        <h4 class="px-2">
                                            <?php _e('SMS alerts', 'spothit') ?>
                                        </h4>
                                    </div>
                                    <div class="col-md-12">
                                        <table class="table">
                                            <tbody id="sms_alerts_scale">
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="col-md-12">
                                        <h4 class="px-2">
                                            <?php _e('Email alerts', 'spothit') ?>
                                        </h4>
                                    </div>
                                    <div class="col-md-12">
                                        <table class="table">
                                            <tbody id="email_alerts_scale">
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <div class="row d-flex align-items-center mt-5 mb-2">
                                <div class="col-md-6 d-flex align-items-center">
                                    <div class="col">
                                        <?php _e("Enable alerts ?", "spothit") ?>
                                    </div>
                                    <div class="col d-flex justify-content-center">
                                        <label class="switch-label switch-with-text mb-1">
                                            <input type="checkbox" class="switch-input" data-switch="alerts" >
                                            <span class="switch-btn-container">
                                                <span class="switch-bg">
                                                    <span class="switch-bg-text switch-bg-text-active"><?php _e('Yes', 'spothit') ?></span>
                                                    <span class="switch-btn"></span>
                                                    <span class="switch-bg-text switch-bg-text-inactive"><?php _e('No', 'spothit') ?></span>
                                                </span>
                                            </span>
                                        </label>
                                    </div>
                                </div>
                            </div>

                        </div>


                        <div class="settings_container" data-setting="email">
                            <div class="row d-flex align-items-center">
                                <div class="col-md-12">
                                    <h3>
                                        <?php _e('Sender name', 'spothit') ?>
                                    </h3>
                                </div>
                                <div class="col-md-12 px-3 pb-3 mb-4 text-secondary">
                                <?php _e('Change default sender name for all sent Emails', 'spothit') ?>
                                </div>
                                <div class="col-md-3 px-4">
                                    <?php _e('Sender name', 'spothit') ?>
                                </div>
                                <div class="col-md-9">
                                    <input id="sender_email_name" class="input-1 form-control form-control-lg float-right" type="text" placeholder="<?php _e('Your sender name...', 'spothit') ?>" data-name="sender_email" maxlength="255">
                                </div>
                            </div>

                            <div class="row d-flex align-items-center mt-5">
                                <div class="col-md-12">
                                    <h3>
                                        <?php _e('Receiving email address', 'spothit') ?>
                                    </h3>
                                </div>
                                <div class="col-md-12 px-3 pb-3 mb-4 text-secondary">
                                <?php _e('Change the Email address on which you will receive messages', 'spothit') ?>
                                </div>
                                <div class="col-md-3 px-4">
                                    <?php _e('Email address', 'spothit') ?>
                                </div>
                                <div class="col-md-9">
                                    <input id="sender_recieve_email_address" class="input-1 form-control form-control-lg" type="text" placeholder="<?php _e('Your Email address to receive emails...', 'spothit') ?>" data-name="sender_recieve_email" maxlength="255">
                                </div>
                            </div>


                            <div class="row d-flex align-items-center mt-5 mb-2">
                                <div class="col-md-12"">
                                    <h3>
                                        <?php _e('Sending Email address', 'spothit') ?>
                                    </h3>
                                </div>
                                <div class="col-md-12 px-3 pb-3 mb-4 text-secondary">
                                    <?php _e('Change the Email address on which you will sent Emails', 'spothit') ?>
                                </div>
                                <div class="col-md-3 px-4">
                                   <?php _e('Email address', 'spothit') ?>
                                </div>
                                <div class="col-md-9">
                                    <div class="input-group">
                                        <input id="sender_send_email_address" class="input-1 form-control form-control-lg" type="text" placeholder="<?php _e('Your Email address to send emails...', 'spothit') ?>" data-name="sender_send_email" maxlength="255">
                                        <div class="input-group-text">
                                            @sh-mail.fr
                                        </div>
                                    </div>
                                </div>
                                </div>

                                <div class="row d-flex align-items-center mt-5 mb-2 px-3">
                                    <div class="col-md-8 d-flex justify-content-between align-items-center">
                                        <span>
                                            <?php _e("Apply to all automatic campaigns", "spothit") ?>
                                        </span>
                                        <label class="switch-label">
                                            <input type="checkbox" class="switch-input" id="automating_email_settings">
                                            <span class="switch-btn-container">
                                                <span class="switch-bg">
                                                    <span class="switch-btn"></span>
                                                </span>
                                            </span>
                                        </label>

                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 d-flex justify-content-end">
                                        <button id="spothit_submit_email_settings" class="btn mt-3"><?php _e('Save', 'spothit') ?></button>
                                    </div>
                                </div>
                            </div>
                        </div>

                </div>
            </div>
        </div>
    </div>
</div>
