<?php

/**
 * NOTICE OF LICENSE
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Cyril Bouxin
 * @copyright 2015-2022 NETSIZE
 * @license GNU General Public License version 2
 */
?>

<div class="container-fluid page_title_container">
    <div class="row">
        <div class="col spothit_header">
            <h1 class="m-0"><?php _e('Manual SMS campaign', 'spothit') ?></h1>
        </div>
    </div>
</div>

<div class="container-fluid page_content_container page_sms_content_container">
    <div class="row">
        <div class="col">
            <div class="spothit_main">
                <div id="spothit_breadcramp">
                    <div data-page="1">
                        <span>1</span>
                        <span><?php _e('Campaign', 'spothit') ?></span>
                    </div>

                    <div data-page="2">
                        <span>2</span>
                        <span><?php _e('Sender', 'spothit') ?></span>
                    </div>

                    <div data-page="3">
                        <span>3</span>
                        <span><?php _e('Contacts', 'spothit') ?></span>
                    </div>

                    <div data-page="4">
                        <span>4</span>
                        <span><?php _e('Message', 'spothit') ?></span>
                    </div>

                    <div data-page="5">
                        <span>5</span>
                        <span><?php _e('Date', 'spothit') ?></span>
                    </div>

                    <div data-page="6">
                        <span>6</span>
                        <span><?php _e('Confirmation', 'spothit') ?></span>
                    </div>
                </div>

                <div class="spothit_content">
                    <div id="spothit_form" data-action="SH_ajax_api_request" data-url="envoyer/sms">

                        <div id="spothit_page_content">

                            <div id="error_notification" style="position: absolute;right:3em;bottom:1em;z-index: 3;">
                            </div>

                            <div data-page="1">
                                <div class="page_title">
                                    <h2><i class="fa-light fa-mobile fa-lg me-1"></i> <?php _e('Campaign', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content">
                                    <div class="input_container">
                                        <span class="input_title"><?php _e('Campaign name', 'spothit') ?></span>
                                        <input type="text" data="campaign" class="form-control form-control-lg"
                                            placeholder="<?php _e('Not visible to contacts', 'spothit') ?>"
                                            data-name="nom" maxlength="255">
                                    </div>
                                </div>
                            </div>

                            <div data-page="2">
                                <div class="page_title">
                                    <h2><i
                                            class="fa-light fa-clipboard-user fa-lg me-1"></i><?php _e('Sender', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content">
                                    <div class="multi_box">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <input type="radio" data="sender_campaign" class="radio_choice"
                                                    id="sender_on" name="sender_choice" value="0" checked>
                                                <label class="multi_box_label h-100" for="sender_on">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fal fa-user-tag"></i></p>
                                                        <p class="input_title"><?php _e('Custom sender', 'spothit') ?>
                                                        </p>
                                                        <input type="text" id="custom_sender_sms"
                                                            class="form-control form-control-lg mb-3"
                                                            placeholder="<?php _e('Sender name', 'spothit') ?>"
                                                            maxlength="11">
                                                        <p><small><?php _e('11 caracters max.', 'spothit') ?></small>
                                                        </p>
                                                        <div class="form-check">
                                                            <label>
                                                                <input class="text-muted" type="checkbox"
                                                                    data-name="sender_checkbox" id="sender_checkbox">
                                                                <?php _e('Set this default sender name', 'spothit') ?>
                                                            </label>
                                                        </div>
                                                        <a role="button" class="text-muted" id="sms_sender_restriction">
                                                            <small><?php _e('Show information', 'spothit') ?></small>
                                                        </a>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="col-md-6">
                                                <input type="radio" data="sender_campaign" class="radio_choice"
                                                    id="sender_off" name="sender_choice" value="1">
                                                <label class="multi_box_label h-100" for="sender_off">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fal fa-user-secret"></i></p>
                                                        <p class="input_title">
                                                            <?php _e('Without customisation', 'spothit') ?></p>
                                                        <p><?php _e('SMS will be sent with 5 short numbers (ex. 36200)', 'spothit') ?>
                                                        </p>
                                                        <p><?php _e('Your French recipients will be able to reply to this SMS.', 'spothit') ?>
                                                        </p>
                                                    </div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div data-page="3">
                                <div class="page_title">
                                    <h2><i
                                            class="fa-light fa-user-tag fa-lg me-1"></i><?php _e('Contacts', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content">
                                    <div class="multi_box mb-3">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <input type="radio" class="radio_choice" id="recipient_wordpress"
                                                    name="recipient_choice" value="0">
                                                <label class="multi_box_label h-100" for="recipient_wordpress">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i
                                                                class="fa-brands fa-wordpress-simple"></i></p>
                                                        <p class="input_title"><?php _e('Wordpress', 'spothit') ?></p>
                                                        <p><?php _e('Select contacts groups', 'spothit') ?>
                                                            <br><?php _e('from your Wordpress users list', 'spothit') ?>
                                                        </p>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="col-md-4">
                                                <input type="radio" class="radio_choice" id="recipient_spothit"
                                                    name="recipient_choice" value="1">
                                                <label class="multi_box_label h-100" for="recipient_spothit">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fa-light fa-message"></i></p>
                                                        <p class="input_title"><?php _e('Spot-Hit', 'spothit') ?></p>
                                                        <p><?php _e('Select contacts groups', 'spothit') ?>
                                                            <br><?php _e('from your Spot-Hit users list', 'spothit') ?>
                                                        </p>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="col-md-4">
                                                <input type="radio" class="radio_choice" id="recipient_manual"
                                                    name="recipient_choice" value="2">
                                                <label class="multi_box_label h-100" for="recipient_manual">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fa-light fa-address-book"></i>
                                                        </p>
                                                        <p class="input_title"><?php _e('Custom list', 'spothit') ?></p>
                                                        <p><?php _e('Insert your numbers list manually', 'spothit') ?></p>
                                                    </div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="multi_select recipients_results row mb-3">
                                        <p class="text-center"><?php _e('Select an option', 'spothit') ?></p>
                                    </div>
                                </div>
                            </div>

                            <div data-page="4">
                                <div class="page_title">
                                    <h2><i class="fa-light fa-comment fa-lg me-1"></i><?php _e('Message', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content">
                                    <div class="input_container mb-3">
                                        <p class="input_title"><?php _e('Insert your message', 'spothit') ?></p>
                                        <textarea placeholder="<?php _e('Writing message', 'spothit') ?>"
                                            data="campaign" class="message_textarea" data-name="message"></textarea>
                                    </div>
                                    <div class="row">
                                        <div class="col">
                                            <label class="switch-label" for="add_stop_sms">
                                                <input class="switch-input stop_btn" type="checkbox" name="type"
                                                    value="2" id="add_stop_sms">
                                                <span class="switch-btn-container">
                                                    <span class="switch-bg"><span class="switch-btn"></span></span>
                                                </span>
                                                <span class="switch-text-container">
                                                    <span
                                                        class="switch-text"><?php _e('STOP at 36200', 'spothit') ?></span>
                                                </span>
                                            </label>
                                        </div>
                                        <div class="col text-end">
                                            <span class="character_count">
                                                <span class="character_count_size">0</span>/
                                                <span class="character_count_max">160</span>
                                                <span><?php _e('caracters', 'spothit') ?> - </span>
                                                <span class="character_count_number">0</span>
                                                <span>SMS</span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div id="carac_doubl" class="mt-5">
                                    <p><strong><?php _e('Warning : ', 'spothit') ?></strong><?php _e('The caracters |, ^, €, {, }, [, ~, ] count as doubles.', 'spothit') ?></p>
                                </div>

                            </div>

                            <div data-page="5">
                                <div class="page_title">
                                    <h2><i class="fa-light fa-alarm-clock fa-lg me-1"></i>
                                        <?php _e('Date', 'spothit') ?></h2>
                                </div>
                                <div class="content">
                                    <div class="multi_box mb-3">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <input type="radio" data="date_campaign" class="radio_choice"
                                                    id="date_now" name="date_choice" value="0" checked>
                                                <label class="multi_box_label h-100" for="date_now">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fal fa-paper-plane"></i></p>
                                                        <p class="input_title"><?php _e('Immediate', 'spothit') ?></p>
                                                        <p><?php _e('SMS will be sent when the campaign is validated', 'spothit') ?>
                                                        </p>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="col-md-6">
                                                <input type="radio" data="date_campaign" class="radio_choice"
                                                    id="date_scheduled" name="date_choice" value="1">
                                                <label class="multi_box_label h-100" for="date_scheduled">
                                                    <div class="input_container">
                                                        <p class="input_icon"><i class="fal fa-stopwatch"></i></p>
                                                        <p class="input_title"><?php _e('Scheduled', 'spothit') ?></p>
                                                        <p><?php _e('Select a datetime for sending', 'spothit') ?>
                                                        </p>
                                                        <div class="form-group row mb-2">
                                                            <label
                                                                class="col-md-12 col-lg-4"><?php _e('Day', 'spothit') ?></label>
                                                            <div class="col-md-12 col-lg-8">
                                                                <input class="datepicker" type="text" id="date_day"
                                                                    name="date_jour">
                                                            </div>
                                                        </div>
                                                        <div class="form-group row mb-2">
                                                            <label
                                                                class="col-md-12 col-lg-4 col-form-label"><?php _e('Hour', 'spothit') ?></label>
                                                            <div class="col-sm-12 col-md-6 col-lg-4">
                                                                <select type="text" id="date_hour" name="date_jour"
                                                                    class="form-control"></select>
                                                            </div>
                                                            <div class="col-sm-12 col-md-6 col-lg-4">
                                                                <select type="text" id="date_minute" name="date_jour"
                                                                    class="form-control"></select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div data-page="6">
                                <div class="page_title">
                                    <h2><i
                                            class="fa-light fa-paper-plane fa-lg me-1"></i><?php _e('Confirmation', 'spothit') ?>
                                    </h2>
                                </div>
                                <div class="content campaign_summary">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <p class="text-center sms_count_summary">
                                                <span class="summary_total_sms">0</span> SMS (<span
                                                    class="summary_nb_contacts">0</span>
                                                <?php _e('contact', 'spothit') ?> x <span
                                                    class="summary_nb_sms">0</span> SMS)


                                            </p>
                                            <div class="speech_bubble_container">
                                                <div class="speech_bubble summary-block" data-summary-block="4">
                                                    <p></p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 text-center summary-block" data-summary-block="2">
                                            <p><span class="recap_icon"><i
                                                        class="fa-light fa-clipboard-user"></i></span></p>
                                            <p><?php _e('Sender', 'spothit') ?></p>
                                            <p class="sender_bubble">36200</p>
                                        </div>
                                        <div class="col-md-4 text-center summary-block" data-summary-block="3">
                                            <p><span class="recap_icon"><i class="fa-light fa-user-tag"></i></span></p>
                                            <p><?php _e('Contacts', 'spothit') ?></p>
                                            <p class="contacts_bubble">0 <?php _e('contact', 'spothit') ?></p>
                                        </div>
                                        <div class="col-md-4 text-center summary-block" data-summary-block="5">
                                            <p><span class="recap_icon"><i class="fa-light fa-alarm-clock"></i></span>
                                            </p>
                                            <p><?php _e('Sending date', 'spothit') ?></p>
                                            <p class="date_bubble"><?php _e('Immediate', 'spothit') ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div id="spothit_page_navigation">
                            <div><button id="spothit_form_submit"><?php _e('Send', 'spothit') ?></button></div>
                        </div>

                    </div>
                </div>
            </div>

            <div id="spothit_preview">
                <div class="smartphone">
                    <div class="smartphone__top">
                        <span class="speaker"></span>
                        <span class="camera"></span>
                        <span class="hour">16:42</span>
                        <span class="network">
                            <i class="fa-regular fa-signal me-1"></i>
                            <i class="fa-regular fa-battery-half fa-lg"></i>
                        </span>
                    </div>

                    <div class="smartphone__screen">
                        <div class="smartphone_sender">
                            36200
                        </div>
                        <div id="msg_preview" class="message">
                            <p></p>
                        </div>
                        <div class="smartphone_initials"><i class="fa-solid fa-user"></i></div>
                    </div>
                    <div class="smartphone__bottom">

                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<div id="spothit_errors"></div>